:host {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;

  &.ng-animating {
    position: absolute;
    top: 0;
  }
}

.search-content {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
}

p:not(.search-top-text) {
  font-family: var(--primary-font);
  font-size: var(--primary-font-size);
  margin-top: var(--spacing-medium);
}

mel-details {
  width: 100%;
  margin-bottom: var(--spacing);
}

mel-search-form {
  width: 320px;
  margin-top: 155px;

  @media screen and (min-width: 414px) {
    width: 380px;
  }
}

a.add-item {
  position: sticky;
  z-index: 1;
  margin-left: auto;
  margin-right: var(--spacing-big);
  bottom: var(--spacing-big);
}

mel-simple-loader {
  margin-top: var(--spacing-medium);
}

.empty-content {
  max-width: 72vw;
  margin: auto;
  padding-top: var(--spacing-medium);
  text-align: center;
}

.searching-content {
  max-width: 72vw;
  margin: auto none;
  margin-top: var(--spacing);
}

mel-pagination-info {
  margin-top: var(--spacing-medium);
}

mel-pagination {
  display: block;
}

.items + mel-pagination {
  margin-bottom: 100px;
}
